## NAME

db.createdb - Creates an empty database.

## KEYWORDS

database, attribute table, SQL

## SYNOPSIS

db.createdb
db.createdb --help
db.createdb driver=name database=name [--help] [--verbose] [--quiet] [--ui]

### Flags:

--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

driver=name [required]
  Name of database driver
  Options: dbf, ogr, sqlite
  Default: sqlite
database=name [required]
  Name of database

## DESCRIPTION

db.createdb allows the user to create a new empty database through different drivers. A working database connection needs to be established, see db.login.

Currently only SQLite and PostgreSQL database drivers are supported.

## EXAMPLES

### Create a new SQLite file-based database

Note that the standard GRASS GIS SQLite database is by default generated in the user's current mapset. This example shows an out-of-mapset database file creation:

    db.createdb driver=sqlite database=/opt/sqlite.db

### Create a new PostgreSQL database

Create a new PostgreSQL database (after the PostgreSQL connection got established through the pg driver):

    db.createdb driver=pg database=grassdb

Create a new PostgreSQL database (after the PostgreSQL connection got established through the odbc driver):

    db.createdb driver=odbc database=grassdb

## TODO

Support other database drivers, too.

## SEE ALSO

db.columns, db.connect, db.describe, db.drivers, db.dropdb, db.droptable, db.execute, db.login, db.tables

GRASS SQL interface

## AUTHORS

Radim Blazek, ITC-Irst, Trento, Italy
SQLite and PostgreSQL support by Martin Landa, Czech Technical University in Prague, Czech Republic

Last changed: $Date$

## SOURCE CODE

Available at: db.createdb source code (history)

Main index | Database index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual